#!/bin/bash

# Adds the local IP for the team(s) depending on the option given (all or teamname).

##### Functions #####
### check device load the config then add the ip address for the team ###
IP_ROUTE_ADD (){
	if [ $device == bonder ]; then
		. $CONFIG_DIR$NAME/$NAME.cfg
		ip addr add $TEAMIPRANGE/30 dev $TEAMNAME
	else
		. $CONFIG_DIR$NAME/$NAME.cfg
		ip addr add $TEAMIP/30 dev $TEAMNAME
	fi
}

##### Main #####
### check device and set the config directory ###
device=`cat /usr/ev/device`
if [ $device == bonder ]; then
	CONFIG_DIR=/usr/ev/bond.d/
else
	CONFIG_DIR=/usr/ev/core/bonds.d/
fi
### test to see if directory exists ###
test -d $CONFIG_DIR || exit 0

### $1 is the input either all or a team name ###
case $1 in
	all)
		### loop through all config directories ###
	   	for CONFIG in `cd $CONFIG_DIR; ls -d * 2> /dev/null`; do
           	NAME=${CONFIG}
           	echo "loading config" $NAME
			### run ip route add function ###
         	IP_ROUTE_ADD
	   	done
	;;
	*)
		### set name as the team name and run the ip route add function ###
		NAME=$1
		IP_ROUTE_ADD
	;;
esac
