#!/bin/bash

# This script starts the team
# if its run on a core router checks the links and sets the state and weight
# if its run on a bonder it updates the bgp to set bonder ip as src address

##### Functions #####
start_team (){
	### load the team using the .conf file ###
	teamd -f $CONFIG_DIR$NAME/$NAME.conf -d -g
	echo $NAME "loaded"
	ip link set $NAME up
	echo $NAME "is up"
	### check to see if its a core router ###
	if [[ $device == bonder ]]; then
		### load the team.cfg file and sets up the bgp to set bonder ip as src ###
		. $CONFIG_DIR$NAME/$NAME.cfg
		vtysh -c 'configure terminal
			route-map BOND_OUT permit 10
			match ip address prefix-list ANY
			set src '"$BONDWANIP"'
			exit
			write mem'
	fi	
	run-parts /usr/ev/scripts.d/hooks/team/start --arg $device --arg $NAME 
}


##### Main #####

### identify device and set the config directory variable ###
device=$(cat /usr/ev/device)
if [[ $device == bonder ]]; then
	CONFIG_DIR=/usr/ev/bond.d/
else
	CONFIG_DIR=/usr/ev/core/bonds.d/
fi

### test to see if directory exists ###
test -d $CONFIG_DIR || exit 0

### choose to load all teams or a single team ###
case $1 in 
	all)
		### loop thorugh all directories in the folder runs the start team function for each directory ###
		for CONFIG in `cd $CONFIG_DIR; ls -d * 2> /dev/null`; do
            NAME=${CONFIG}
            echo "loading config" $NAME
            start_team           
        done 
	;;
	*)
		### load team with given name ###
		NAME=$1
		start_team
	;;
esac

exit 0