#!/bin/bash

# This script is used as a hook when the openvpn tunnel comes up
# Checks the status of the team to see if the link is already in the team.
# if it is not in the team it adds it and sets its state.

### set variables ###
echo $1 $2
LINK=$1
TEAM=$2
CONFIG_DIR=/usr/ev/bond.d/$TEAM/
### test to see if config directory exists ###
test -d $CONFIG_DIR || exit 0
### enable logging to syslog ###
exec 1> >(logger -s -t $(basename $0)) 2>&1
### load config files ###
. $CONFIG_DIR$TEAM.cfg
. $CONFIG_DIR$LINK/config
### check link state ###
if [[ $STATE == "enable" ]]; then
	NEW_STATE=true
else
	NEW_STATE=false;
fi
### check to see if link is in the team ###
CONFIG_TEST=`teamdctl $TEAM state | grep -w $ODEV`
if [ "$CONFIG_TEST" > /dev/NULL ]; then
	echo $ODEV is in $TEAM
    ### set link to correct state (enabled/ disabled) ###
    teamnl $TEAM setoption -p $ODEV enabled $NEW_STATE	
else 
    ### add link to team and set the state ###
    if [[ $WEIGHT == 0 ]]; then
        WEIGHT=1
    fi
    teamdctl $TEAM port config update $ODEV '{"prio": '$WEIGHT',"link_watch":{"name": "arp_ping","interval": 100,"missed_max": 3,"source_host": "'$SOURCE'","target_host": "'$TARGET'", "send_always": true}}'
    teamdctl $TEAM port add $ODEV
    teamnl $TEAM setoption -p $ODEV enabled $NEW_STATE
    echo uptap    
fi
